Loading...
Searching...
No Matches
strategy_abstract.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/types/types.h"`
`#include <functional>`
`#include <any>`
`#include <vector>`
`#include <tuple>`
`#include <string>`
Include dependency graph for strategy_abstract.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | gridfire::solver::SolverContextBase
| Base class for solver callback contexts. More...
class | gridfire::solver::NetworkSolverStrategy< EngineT >
| Abstract base class for network solver strategies. More...

## Namespaces

namespace | gridfire
namespace | gridfire::solver

## Typedefs

using | gridfire::solver::DynamicNetworkSolverStrategy = NetworkSolverStrategy< engine::DynamicEngine >
| Type alias for a network solver strategy that uses a DynamicEngine.